Lists UllMirroringCollectors in a given project and location.

### HTTP request

`GET https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/ullMirroringCollectors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListUllMirroringCollectorsRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Message for response to listing UllMirroringCollectors

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ullMirroringCollectors": [ { object (`UllMirroringCollector`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `ullMirroringCollectors[]` | ``object (`UllMirroringCollector`)`` The list of UllMirroringCollector |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networksecurity.ullMirroringCollectors.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).